[Release] EssentialMode base


#2561

getting this error stack traceback: server.lua:362: in upvalue 'ref' citizen:/scripting/lua/scheduler.lua:337: in function <citizen:/scripting/lua/scheduler.lua:336> [C]: in function 'xpcall' citizen:/scripting/lua/scheduler.lua:336: in function <citizen:/scripting/lua/scheduler.lua:335> stack traceback: [C]: in function 'error' citizen:/scripting/lua/scheduler.lua:351: in function <citizen:/scripting/lua/scheduler.lua:322> Error running call reference function for resource essentialmode: citizen:/scripting/lua/scheduler.lua:351: citizen:/scripting/lua/MessagePack.lua:830: missing bytes stack traceback: [C]: in function 'error' citizen:/scripting/lua/MessagePack.lua:830: in method 'underflow' citizen:/scripting/lua/MessagePack.lua:465: in field 'any' citizen:/scripting/lua/MessagePack.lua:860: in field 'unpack' citizen:/scripting/lua/scheduler.lua:563: in upvalue 'callback' server/main.lua:186: in upvalue 'ref' citizen:/scripting/lua/scheduler.lua:337: in function <citizen:/scripting/lua/scheduler.lua:336> [C]: in function 'xpcall' citizen:/scripting/lua/scheduler.lua:336: in function <citizen:/scripting/lua/scheduler.lua:335> stack traceback: [C]: in function 'error' citizen:/scripting/lua/scheduler.lua:351: in function <citizen:/scripting/lua/scheduler.lua:322>


#2562

I just want to make my own eco system and I do not know if I should use essential mode as a framework.


#2563

change your connection string to be localhost instead of 127.0.0.1


#2564

Try both and see what you prefer!

I’m still actively updating this to make sure it stays working and has new and exciting features


#2565

can you tell me whats wrong here? y when I press the Home button for es-admin my screen freezes and i cant do anything? I can move the mouse around but that’s it. I have disabled all other resources.

Thanks


#2566

hi kanersps how log is the updating


#2567

New beta live!

To check out the beta download source directly from https://github.com/kanersps/essentialmode

It features:

  • More “if” checks
  • Shiny new updater
  • All settings are now convars aswell!

#2568

what about dirtymoney :slight_smile: ?


#2569

That’s related to ESX, no?


#2570

Update 5.2.0

  • Shiny new updater
  • Dev tools disabled by default
  • More if checks
  • Additional convars

Download: https://github.com/kanersps/essentialmode/releases/tag/5.2.0


#2571

Hello, I am getting this error whenever I do the command “/admin”. I cannot use the Admin Menu or anything. My server is being run through ZAP-Hosting and would like some assistance. I tried it with the newest version of ES that you just released and the one that came with ZAP-Hosting but not getting anywhere.

image

Many thanks,
ZINKS 123


#2572

You will want to update your entire ES/ESX base as ZAP installs out-of-date resources. Nobody here will know how old of a resource they are dealing with when trying to help.


#2573

EssentialMode 5.2.1

  • es_nativeMoneySystem default to off
  • Removed debug printing
  • Fixed & added es_pvpEnabled

#2574

Is that right? in yellow


#2575

Update ES again with 521b: https://github.com/kanersps/essentialmode/releases/tag/5.2.1-b


#2576

continues the same message


#2577

cleared cache after updating?


#2578

its just checking the version on essentialmode??


#2579

I deleted the chache, yes.


#2580

I downloaded the version he sent and in the github that appears there, but two of the same thing, I do not know of any mistake if I leave …